create table archive (
	id		int auto_increment not null,
	filename	char(255) not null,
	hostid		int not null,
	camera		char(8) not null,
	start_time	datetime not null,
	end_time	datetime not null,
	duration	float not null,
	vitality	float default 1,
	fail_cnt	int default 0,
	status		int default 0,
	key (id),
	primary key (filename)
);

create table postproc (
	id		int auto_increment not null,
	filename	char(255) not null,
	tmpname		char(255) not null,
	key (id),
	primary key (tmpname)
);

create table servers (
	id		int auto_increment not null,
	hostname	char(255) not null,
	key (id),
	primary key (hostname)
);

create table events (
	id		int auto_increment not null,
	timestamp	timestamp,
	time_ms		int,
	camera		char(8) not null,
	event		text,
	primary key (id),
	key (timestamp),
	key (camera)
);

create table alerts (
	id		int auto_increment not null,
	camera		char(8) not null,
	start_time	datetime not null,
	end_time	datetime not null,
	message		text,
	primary key (id),
	key (start_time),
	key (end_time),
	key (camera)
);

create table cheques (
	id		int auto_increment not null,
	camera		char(8) not null,
	number		char(16) not null,
	start_time	datetime,
	end_time	datetime,
	sum		float(8,2),
	primary key (id),
	key (number)
);

grant all privileges on vargus.* to vargus;
grant select on vargus.archive to webvargus;
grant select on vargus.events to webvargus;
grant select on vargus.alerts to webvargus;
grant select on vargus.cheques to webvargus;

